%define upstream_name    Gnome2-Rsvg
%define upstream_version 0.11

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14

Summary:	Perl module for the gnome2-2.x rsvg libraries
License:	GPL+ or Artistic
Group:		Development/GNOME and GTK+
URL:		http://gtk2-perl.sf.net/
Source0:	http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	libatk-devel
BuildRequires:	librsvg-devel >= 2.4.0 
BuildRequires:	perl-ExtUtils-PkgConfig 
BuildRequires:	perl-ExtUtils-Depends 
BuildRequires:	perl-Glib >= 1.00
BuildRequires:	perl-Gtk2 
BuildRequires:	gtk+2-devel
BuildRequires:	perl-devel 

Conflicts:	drakxtools < 9.1-15mdk
Requires:	perl-Glib >= 1.00

%description
This module provides perl access to GNOME-2.x rsvg libraries
(which uses libart and pango to render svg files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc LICENSE  META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/*
%{perl_vendorarch}/auto/Gnome2/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-14.mga6
+ Revision: 1027950
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-13.mga6
+ Revision: 957369
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.110.0-12.mga6
+ Revision: 843427
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-11.mga5
+ Revision: 747571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-10.mga5
+ Revision: 684881
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.110.0-9.mga5
+ Revision: 632440
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-8.mga4
+ Revision: 524612
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-7.mga4
+ Revision: 431193
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-6.mga3
+ Revision: 367802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.110.0-5.mga3
+ Revision: 250663
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 0.110.0-4.mga2
+ Revision: 138577
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 0.110.0-3.mga2
+ Revision: 104607
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 36263
- mageia rebuild
- imported package perl-Gnome2-Rsvg

